=== debian/control ===
Source: nss
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Maintainers of Mozilla-related packages <team+pkg-mozilla@tracker.debian.org>
Uploaders: Mike Hommey <glandium@debian.org>
Build-Depends: debhelper (>= 9.20160403),
 dh-exec,
 dpkg-dev (>= 1.17.14),
 libnspr4-dev (>= 2:4.12),
 zlib1g-dev,
 libsqlite3-dev (>= 3.3.9),
 libnss3-tools:native (>= 2:3.19-1-1~) <cross>
Standards-Version: 3.9.6.0
Homepage: http://www.mozilla.org/projects/security/pki/nss/
Vcs-Git: https://salsa.debian.org/mozilla-team/nss.git
Vcs-Browser: https://salsa.debian.org/mozilla-team/nss

Package: libnss3
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Conflicts: libnss3-1d (<< 2:3.13.4-2)
Multi-Arch: ${misc:Multi-Arch}
Description: Network Security Service libraries
 This is a set of libraries designed to support cross-platform development
 of security-enabled client and server applications. It can support SSLv2
 and  v4, TLS, PKCS #5, #7, #11, #12, S/MIME, X.509 v3 certificates and
 other security standards.

Package: libnss3-tools
Section: admin
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Network Security Service tools
 This is a set of tools on top of the Network Security Service libraries.
 This package includes:
  * certutil: manages certificate and key databases (cert7.db and key3.db)
  * modutil: manages the database of PKCS11 modules (secmod.db)
  * pk12util: imports/exports keys and certificates between the cert/key
    databases and files in PKCS12 format.
  * shlibsign: creates .chk files for use in FIPS mode.
  * signtool: creates digitally-signed jar archives containing files and/or
    code.
  * ssltap: proxy requests for an SSL server and display the contents of
    the messages exchanged between the client and server.
Homepage: http://www.mozilla.org/projects/security/pki/nss/tools/

Package: libnss3-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libnss3 (= ${binary:Version}),
 libnspr4-dev (>= 4.6.6-1)
Multi-Arch: ${misc:Multi-Arch}
Description: Development files for the Network Security Service libraries
 This is a set of libraries designed to support cross-platform development
 of security-enabled client and server applications. It can support SSLv2
 and  v4, TLS, PKCS #5, #7, #11, #12, S/MIME, X.509 v3 certificates and
 other security standards.
 .
 Install this package if you wish to develop your own programs using the
 Network Security Service Libraries.

Package: libnss3-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
 libnss3 (= ${binary:Version}) | libnss3-tools (= ${binary:Version})
Conflicts: libnss3 (<< ${binary:Version}),
 libnss3 (>> ${binary:Version}),
 libnss3-tools (<< ${binary:Version}),
 libnss3-tools (>> ${binary:Version})
Multi-Arch: ${misc:Multi-Arch}
Description: Debugging symbols for the Network Security Service libraries
 This is a set of libraries designed to support cross-platform development
 of security-enabled client and server applications. It can support SSLv2
 and  v4, TLS, PKCS #5, #7, #11, #12, S/MIME, X.509 v3 certificates and
 other security standards.
 .
 This package provides the debugging symbols for the library.
