## nss 3.38

=== debian/changelog ===
nss (2:3.38-1) unstable; urgency=medium

  * New upstream release.
  * debian/libnss3.symbols: Add NSSUTIL_3_38 symbol version.

 -- Mike Hommey <glandium@debian.org>  Mon, 25 Jun 2018 07:26:21 +0900

nss (2:3.37.1-1) unstable; urgency=medium

  * New upstream release.
  * nss/lib/freebl/Makefile: Build FStar.c when not building with int128
    support. bz#1459739. Closes: #900227

 -- Mike Hommey <glandium@debian.org>  Mon, 28 May 2018 07:58:44 +0900

nss (2:3.37-1) unstable; urgency=medium

  * New upstream release. Fixes: #898496.
  * debian/control, debian/rules: Generate dbgsym package.AA
  * debian/copyright: Switch to machine-readable format.
  * debian/control: Bump Standards-Version to 4.1.4.

 -- Mike Hommey <glandium@debian.org>  Mon, 14 May 2018 07:15:21 +0900
