## nss 3.39

=== debian/changelog ===
nss (2:3.39-1) unstable; urgency=medium

  * New upstream release.
    - Fixes CVE-2018-12384. Closes: #908332.
  * debian/libnss3.symbols: Add NSS_3_39 and NSSUTIL_3_39 symbol versions.

 -- Mike Hommey <glandium@debian.org>  Sun, 09 Sep 2018 08:03:39 +0900
