## nss 3.41

=== debian/changelog ===
nss (2:3.41-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * No automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 28 Jan 2019 12:45:55 -0800

nss (2:3.41-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Wed, 12 Dec 2018 14:13:39 +0900

nss (2:3.40-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Fri, 02 Nov 2018 14:44:19 +0900
