=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: nss
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Maintainers of Mozilla-related packages <team+pkg-mozilla@tracker.debian.org>
 Uploaders: Mike Hommey <glandium@debian.org>
 Build-Depends: debhelper (>= 9.20160403),
- dh-exec,
  dpkg-dev (>= 1.17.14),
  libnspr4-dev (>= 2:4.12),
  zlib1g-dev,
  libsqlite3-dev (>= 3.3.9),
  libnss3-tools:native (>= 2:3.19-1-1~) <cross>
-Standards-Version: 3.9.6.0
+Standards-Version: 4.1.4
 Homepage: http://www.mozilla.org/projects/security/pki/nss/
 Vcs-Git: https://salsa.debian.org/mozilla-team/nss.git
 Vcs-Browser: https://salsa.debian.org/mozilla-team/nss
@@ -63,22 +62,3 @@
  .
  Install this package if you wish to develop your own programs using the
  Network Security Service Libraries.
-
-Package: libnss3-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: ${misc:Depends},
- libnss3 (= ${binary:Version}) | libnss3-tools (= ${binary:Version})
-Conflicts: libnss3 (<< ${binary:Version}),
- libnss3 (>> ${binary:Version}),
- libnss3-tools (<< ${binary:Version}),
- libnss3-tools (>> ${binary:Version})
-Multi-Arch: ${misc:Multi-Arch}
-Description: Debugging symbols for the Network Security Service libraries
- This is a set of libraries designed to support cross-platform development
- of security-enabled client and server applications. It can support SSLv2
- and  v4, TLS, PKCS #5, #7, #11, #12, S/MIME, X.509 v3 certificates and
- other security standards.
- .
- This package provides the debugging symbols for the library.
