=== debian/rules ===
--- 
+++ 
@@ -11,12 +11,6 @@
 $(call lazy,CFLAGS,$$(shell dpkg-buildflags --get CFLAGS))
 $(call lazy,CPPFLAGS,$$(shell dpkg-buildflags --get CPPFLAGS))
 $(call lazy,LDFLAGS,$$(shell dpkg-buildflags --get LDFLAGS))
-
-ifneq (,$(filter -O3,$(CFLAGS)))
-ifneq (,$(filter $(DEB_HOST_ARCH), ppc64el))
-  CFLAGS := $(CFLAGS) -Wno-error=maybe-uninitialized
-endif
-endif
 
 PREPROCESS_FILES := $(wildcard debian/*.in)
 
@@ -175,13 +169,13 @@
 endif
 
 override_dh_strip:
-	dh_strip -a --dbg-package=libnss3-dbg
+	dh_strip --no-automatic-dbgsym
 	$(foreach lib,libsoftokn3.so libfreebl3.so libfreeblpriv3.so libnssdbm3.so, \
 		$(call cmd,umask 022; $(SHLIBSIGN) -v -i debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss/$(lib)))
 
 ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
 	# Check FIPS mode correctly works
-	mkdir -p debian/tmp
+	mkdir debian/tmp
 	LD_LIBRARY_PATH=debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH):debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss debian/libnss3-tools/usr/bin/modutil -create -dbdir debian/tmp < /dev/null
 	LD_LIBRARY_PATH=debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH):debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss debian/libnss3-tools/usr/bin/modutil -fips true -dbdir debian/tmp < /dev/null
 endif
