## nss 3.42

=== debian/changelog ===
nss (2:3.42-1~mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 16 Feb 2019 08:00:19 -0800

nss (2:3.42-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Wed, 30 Jan 2019 16:47:58 +0900
