=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: nss
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
 XSBC-Original-Maintainer: Maintainers of Mozilla-related packages <team+pkg-mozilla@tracker.debian.org>
 Uploaders: Mike Hommey <glandium@debian.org>
 Build-Depends: debhelper (>= 9.20160403),
