=== debian/rules ===
--- 
+++ 
@@ -169,7 +169,7 @@
 endif
 
 override_dh_strip:
-	dh_strip --no-automatic-dbgsym
+	dh_strip --dbgsym-migration='libnss3-dbg (<< 2:3.37-1~)'
 	$(foreach lib,libsoftokn3.so libfreebl3.so libfreeblpriv3.so libnssdbm3.so, \
 		$(call cmd,umask 022; $(SHLIBSIGN) -v -i debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss/$(lib)))
 
@@ -193,3 +193,7 @@
 
 %:
 	dh $@
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
