=== debian/changelog ===
nss (2:3.42.1-1+deb10u9) buster-security; urgency=medium

  * d/patches: drop CVE-2023-6135 patches
  * nss: add basic autopkgtest tests
  * CVE-2024-6602: add patch to fix it
  * CVE-2024-6609: add patch to fix it
  * d/rules: disable useless build of GTESTS

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Sun, 27 Oct 2024 20:32:47 +0100

nss (2:3.42.1-1+deb10u8) buster-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * Add upstream patch for CVE-2024-0743, integer underflow can lead to
    potentially exploitable crash.
  * Add upstream patch for CVE-2023-5388, timing attack against RSA
    decryption in TLS. (Closes: #1056284)

 -- Tobias Frost <tobi@debian.org>  Sun, 10 Mar 2024 15:45:51 +0100

nss (2:3.42.1-1+deb10u7) buster-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * CVE-2020-25648: Tighten handling of CCS msgs in TLS 1.3 to avoid DoS.
  * CVE-2023-4421: Quieten PKCS#11 interface to avoid timing issues.
    - Pass --no-parallel to dh(1) and -j1 in override_dh_autobuild.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 28 Oct 2023 11:58:15 +0100

nss (2:3.42.1-1+deb10u6) buster-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2020-6829, CVE-2020-12400, CVE-2020-12401, CVE-2020-12403 and
    CVE-2023-0767.
    Multiple security vulnerabilities have been discovered in nss, the
    Network Security Service libraries.
    CVE-2020-6829:
    When performing EC scalar point multiplication, the wNAF point
    multiplication algorithm was used; which leaked partial information about
    the nonce used during signature generation. Given an electro-magnetic trace
    of a few signature generations, the private key could have been computed.
    CVE-2020-12400:
    When converting coordinates from projective to affine, the modular
    inversion was not performed in constant time, resulting in a possible
    timing-based side channel attack.
    CVE-2020-12401:
    During ECDSA signature generation, padding applied in the nonce designed to
    ensure constant-time scalar multiplication was removed, resulting in
    variable-time execution dependent on secret data.
    CVE-2020-12403:
    A flaw was found in the way CHACHA20-POLY1305 was implemented in NSS in
    versions before 3.55. When using multi-part Chacha20, it could cause
    out-of-bounds reads. This issue was fixed by explicitly disabling
    multi-part ChaCha20 (which was not functioning correctly) and strictly
    enforcing tag length.
    CVE-2023-0767:
    Christian Holler discovered that incorrect handling of PKCS 12 Safe Bag
    attributes may result in execution of arbitrary code if a specially crafted
    PKCS 12 certificate bundle is processed.

 -- Markus Koschany <apo@debian.org>  Mon, 20 Feb 2023 14:50:05 +0100

nss (2:3.42.1-1+deb10u5) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Check for missing signedData field (CVE-2022-22747)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 23 Jan 2022 08:56:42 +0100

nss (2:3.42.1-1+deb10u4) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Ensure DER encoded signatures are within size limits (CVE-2021-43527)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 01 Dec 2021 20:42:14 +0100

nss (2:3.42.1-1+deb10u3) buster-security; urgency=medium

  * CVE-2019-17006 CVE-2019-17023 CVE-2020-12399 CVE-2020-12402

 -- Moritz Mühlenhoff <jmm@debian.org>  Wed, 08 Jul 2020 20:37:58 +0200

nss (2:3.42.1-1+deb10u2) buster-security; urgency=medium

  * CVE-2019-11745 CVE-2019-17007

 -- Moritz Mühlenhoff <jmm@debian.org>  Tue, 03 Dec 2019 22:17:43 +0100

nss (2:3.42.1-1+deb10u1) buster; urgency=medium

  * Fixes for CVE-2019-11719, CVE-2019-11727 and CVE-2019-11729 (in unstable
    these were addressed via the 2:3.45-1 upload to unstable)

 -- Moritz Mühlenhoff <jmm@debian.org>  Fri, 23 Aug 2019 00:03:22 +0200

nss (2:3.42.1-1) unstable; urgency=medium

  * New upstream release.
    - Fixes CVE-2018-18508. Closes: #921614.

 -- Mike Hommey <glandium@debian.org>  Wed, 13 Feb 2019 13:19:39 +0900
