=== debian/rules ===
--- 
+++ 
@@ -98,13 +98,13 @@
 
 override_dh_auto_build:
 	$(MAKE) -C nss/coreconf/nsinstall \
-		$(COMMON_MAKE_FLAGS) \
+		$(COMMON_MAKE_FLAGS) -j1 \
 		CC=$(DEB_BUILD_GNU_TYPE)-gcc \
 		ARCHFLAG=
 
 	$(MAKE) -C nss \
 		all \
-		$(COMMON_MAKE_FLAGS) \
+		$(COMMON_MAKE_FLAGS) -j1 \
 		MOZILLA_CLIENT=1 \
 		NSPR_INCLUDE_DIR=/usr/include/nspr \
 		NSPR_LIB_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
@@ -115,6 +115,7 @@
 		DSO_LDOPTS='-shared $$(LDFLAGS)' \
 		NSS_USE_SYSTEM_SQLITE=1 \
 		NSS_ENABLE_ECC=1 \
+		NSS_DISABLE_GTESTS=1 \
 		CHECKLOC= \
 		$(TOOLCHAIN)
 
@@ -192,8 +193,4 @@
 	dh_builddeb -- -Zxz
 
 %:
-	dh $@
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-	
+	dh $@ --no-parallel
