=== debian/changelog ===
nss (2:3.42.1.4-1+dde) unstable; urgency=low

  * ['Autobuild release-candidate: 2ea56666c5313a5d4cd17c4e79767555d18258f3']

 -- shuttle <shuttle@deepin.com>  Thu, 29 Oct 2020 16:57:26 +0000
