=== debian/changelog ===
nss (2:3.42.1.7-1+deepin1) unstable; urgency=medium

  * fix CVE-2023-0767

 -- zengwei <zengwei1@uniontech.com>  Tue, 21 Feb 2023 09:39:47 +0800

nss (2:3.42.1.6-1+dde) unstable; urgency=low

  * Check for missing signedData field (CVE-2022-22747)

 -- tangmeng <tangmeng@uniontech.com>  Mon, 21 Mar 2022 16:45:37 +0800

nss (2:3.42.1.5-1+dde) unstable; urgency=low

  * Ensure DER encoded signatures are within size limits (CVE-2021-43527)

 -- tangmeng <tangmeng@uniontech.com>  Fri, 07 Jan 2022 16:01:54 +0800
