=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,12 @@
 $(call lazy,CPPFLAGS,$$(shell dpkg-buildflags --get CPPFLAGS))
 $(call lazy,LDFLAGS,$$(shell dpkg-buildflags --get LDFLAGS))
 
-PREPROCESS_FILES := $(wildcard debian/*.in)
+PREPROCESS_FILES := $(wildcard debian/*.in) nss/pkg/pkg-config/nss-config.in
+PREPROCESSED_FILES := $(addprefix debian/,$(notdir $(PREPROCESS_FILES:.in=)))
 
-$(PREPROCESS_FILES:.in=): %: %.in
+$(filter debian/%,$(PREPROCESS_FILES:.in=)): %: %.in
+debian/nss-config: nss/pkg/pkg-config/nss-config.in
+$(PREPROCESSED_FILES):
 	sed 's,/@DEB_HOST_MULTIARCH@,$(DEB_HOST_MULTIARCH:%=/%),g;$(EXTRA_REPLACES)' $< > $@
 
 UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\([0-9]*:\)\?\([^~]*\)\(~.*\)\?-.*$$/\2/ p')
@@ -23,7 +26,7 @@
 MOD_PATCH_VERSION := $(or $(word 3, $(subst ., ,$(UPSTREAM_VERSION))),0)
 
 debian/nss.pc: EXTRA_REPLACES := s/@VERSION@/$(UPSTREAM_VERSION)/
-debian/nss-config: EXTRA_REPLACES := s/@MOD_MAJOR_VERSION@/$(MOD_MAJOR_VERSION)/;s/@MOD_MINOR_VERSION@/$(MOD_MINOR_VERSION)/;s/@MOD_PATCH_VERSION@/$(MOD_PATCH_VERSION)/
+debian/nss-config: EXTRA_REPLACES := s/@MOD_MAJOR_VERSION@/$(MOD_MAJOR_VERSION)/;s/@MOD_MINOR_VERSION@/$(MOD_MINOR_VERSION)/;s/@MOD_PATCH_VERSION@/$(MOD_PATCH_VERSION)/;s/@prefix@/\/usr/
 debian/libnss3.lintian-overrides: EXTRA_REPLACES := s,/@DEB_HOST_MULTIARCH_WC@,$(DEB_HOST_MULTIARCH:%=/*),g
 
 TOOLCHAIN :=
@@ -98,13 +101,13 @@
 
 override_dh_auto_build:
 	$(MAKE) -C nss/coreconf/nsinstall \
-		$(COMMON_MAKE_FLAGS) -j1 \
+		$(COMMON_MAKE_FLAGS) \
 		CC=$(DEB_BUILD_GNU_TYPE)-gcc \
 		ARCHFLAG=
 
 	$(MAKE) -C nss \
 		all \
-		$(COMMON_MAKE_FLAGS) -j1 \
+		$(COMMON_MAKE_FLAGS) \
 		MOZILLA_CLIENT=1 \
 		NSPR_INCLUDE_DIR=/usr/include/nspr \
 		NSPR_LIB_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
@@ -115,7 +118,6 @@
 		DSO_LDOPTS='-shared $$(LDFLAGS)' \
 		NSS_USE_SYSTEM_SQLITE=1 \
 		NSS_ENABLE_ECC=1 \
-		NSS_DISABLE_GTESTS=1 \
 		CHECKLOC= \
 		$(TOOLCHAIN)
 
@@ -125,11 +127,11 @@
 		$(COMMON_MAKE_FLAGS) \
 		BUILD_OPT=1
 
-	rm -rf $(DISTDIR) $(PREPROCESS_FILES:.in=)
+	rm -rf $(DISTDIR) $(PREPROCESSED_FILES)
 
 manpage = $(addsuffix .1,$(addprefix nss/doc/nroff/,$(1)))
 
-override_dh_auto_install: $(PREPROCESS_FILES:.in=)
+override_dh_auto_install: $(PREPROCESSED_FILES)
 	install -m 755 -d debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss debian/libnss3-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
 	install -m 644 -t debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH) \
 		$(DISTDIR)/lib/libnss3.so \
@@ -193,4 +195,4 @@
 	dh_builddeb -- -Zxz
 
 %:
-	dh $@ --no-parallel
+	dh $@
